Summary:        Pretty printing of data structures
Name:           perl-Data-Dump
Version:        1.25
Release:        6%{?dist}
License:        GPL+ or Artistic
URL:            https://metacpan.org/release/Data-Dump
Source0:        https://cpan.metacpan.org/modules/by-module/Data/Data-Dump-%{version}.tar.gz
BuildRequires:  coreutils make perl-generators perl-interpreter
BuildRequires:  perl(ExtUtils::MakeMaker) >= 6.76
BuildRequires:  perl(Carp) perl(Exporter) perl(overload) perl(strict) perl(subs) perl(vars) perl(warnings) perl(Symbol)
# Test Suite
BuildRequires:  perl(base) perl(IO::Socket::INET) perl(Test) perl(Test::More)
BuildArch:      noarch

%description
This module provides a few functions that traverse their argument list and 
return a string containing Perl code that, when evaled, produces a deep copy of 
the original arguments. The main feature of the module is that it strives to 
produce output that is easy to read.

%prep
%autosetup -n Data-Dump-%{version}

%build
perl Makefile.PL INSTALLDIRS=vendor NO_PACKLIST=1 NO_PERLLOCAL=1
%make_build

%install
%{make_install}
%{_fixperms} -c %{buildroot}

%check
make test

%files
%doc Changes README.md
%{perl_vendorlib}/Data/
%{_mandir}/man3/Data::Dump.3*
%{_mandir}/man3/Data::Dump::Filtered.3*
%{_mandir}/man3/Data::Dump::Trace.3*

%changelog
* Fri Aug 16 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.25-6
- Rebuilt for loongarch release

* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.25-5
- Rebuilt for OpenCloudOS Stream 23.09

* Tue Aug 15 2023 Xiaojie Chen <jackxjchen@tencent.com> - 1.25-4
- Remove perl(:MODULE_COMPAT) which will be generated by perl-generators >= 1.15

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.25-3
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.25-2
- Rebuilt for OpenCloudOS Stream 23

* Mon Jun 20 2022 leolfang <leolfang@tencent.com> - 1.25-1
- Initial build
